org.jbpm.process.audit

## Class VariableInstanceLog_

- java.lang.Object
- - org.jbpm.process.audit.VariableInstanceLog_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class VariableInstanceLog_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,Date>` | `date`
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String>` | `externalId`
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,Long>` | `id`
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String>` | `oldValue`
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String>` | `processId`
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,Long>` | `processInstanceId`
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String>` | `value`
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String>` | `variableId`
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String>` | `variableInstanceId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableInstanceLog_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,Long> id

    - #### processInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,Long> processInstanceId

    - #### processId

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String> processId

    - #### value

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String> value

    - #### oldValue

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String> oldValue

    - #### variableInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String> variableInstanceId

    - #### variableId

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String> variableId

    - #### date

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,Date> date

    - #### externalId

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String> externalId

  - ### Constructor Detail

    - #### VariableInstanceLog_

          public VariableInstanceLog_()

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.